#
# spec file for package hal (Version 0.5.8_git20061106)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-utils docbook-xsl-stylesheets docbook_3 docbook_4 doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtkdoc gzip html-dtd info insserv intltool iso_ent jadetex klogd latex-ucs less libacl libattr libcom_err libgcc41 libgcrypt libgpg-error libltdl libmudflap41 libnscd libpng libstdc++41 libtool libusb libvolume_id libvolume_id-devel libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch pciutils-devel perl perl-SGMLS perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-devel rcs readline resmgr rpm sed sgml-skel sqlite strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXt zlib zlib-devel

Name:           hal
BuildRequires:  PolicyKit dbus-1-glib-devel docbook-utils doxygen glib2-devel gtkdoc html-dtd intltool libusb libvolume_id-devel pciutils-devel perl-XML-Parser popt-devel python-devel update-desktop-files
Requires:       pm-utils
URL:            http://freedesktop.org/Software/hal
%define dbus_version            0.61
%define dbus_release            1
License:        Other uncritical OpenSource License
Group:          System/Daemons
Version:        0.5.8_git20061106
Release:        31.3
Autoreqprov:    on
Summary:        Daemon for Collecting Hardware Information
# SUSE specific patches
Patch0:         %{name}-add-tabletPC_support.diff
Patch1:         %{name}-fix-mount_options.diff
Patch2:         %{name}-panasonic-acpi-suse.diff
Patch3:         %{name}-allow_uid_for_ntfs.diff
Patch4:         %{name}-fix-storage-policy-fixed-drives.diff
# SUSE specific temporary patches
Patch10:        hal-fix-path_eject_binary.diff
Patch11:        hal-revert-git-multisession.diff
#
# submitted (or planed to do in next time) upstream patches
Patch100:       hal-performance_pci.ids_v5.diff
Patch101:       hal-add-standby-support.diff
Patch102:       hal-fix-util_compute_time_remaining_warning_highTime.diff
Patch103:       hal-fix-power-privileges.diff
Patch104:       hal-pci.diff
Patch105:       hal-add-pm-utils-support.diff
Patch106:       hal-configure.diff
Patch107:       hal-fix-wireless_detection_rt2500pci.diff
Patch108:       hal-fix-cpufreq-add-capability.diff
Patch109:       hal-fix-dbus_error_is_set.diff
Patch110:       hal-add-alsa_hw-specific_devices.diff
Patch111:       hal-fix_blockdev_g_assert.diff
Patch112:       hal-fix-merge-copy_property.diff
Patch113:       hal-fix-segfault_in_xenCode.diff
Patch114:       hal-fix-luks_do_not_sanitize_password.diff
Patch115:       hal-add-IBMHotkey_Support_v2_incl_TabletPC.diff
Patch116:       hal-fix-consider-nice-logic_223517.diff
Patch117:       hal-fix-lcd_brightness_sonypi.diff
Patch118:       hal-fix-mount_hfs_options_v2.diff
Patch119:       hal-fix-mount_options_vfat.diff
Patch120:       hal-fix-acpi_on_battery_discharging.diff
#
# backported patches from git master:
Patch200:       hal-backport-fix_for_225135_luks_mount_outside_HAL.diff
#
# patches for testing:
#Patch300:	
##
## external patches from HAL List and backports patches we need to port or to check
# unclear how to fix this atm
Patch400:       %{name}-toport-mount_159475.diff
# Kay Sievers is working on a integration in the hal mount binary
Patch401:       %{name}-toport-mount_device_fstab_with_user_option_172870.diff 
# Sources:
Source0:        %{name}-%{version}.tar.bz2
Source1:        rc.hal
Source2:        90-hal.rules
Prereq:         /usr/sbin/groupadd /usr/sbin/useradd /etc/init.d/boot.localfs
%ifarch %ix86 x86_64 ia64
Requires:       dbus-1 >= %{dbus_version}-%{dbus_release}, dbus-1-glib >= %{dbus_version}-%{dbus_release}, aaa_base, PolicyKit, pm-utils, pmtools
%else
Requires:       dbus-1 >= %{dbus_version}-%{dbus_release}, dbus-1-glib >= %{dbus_version}-%{dbus_release}, aaa_base, PolicyKit, pm-utils 
%endif
Provides:       hotplugctl
Obsoletes:      hotplugctl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package -n hal-devel
Summary:        Developer package for HAL
Requires:       %{name} = %{version}-%{release}, dbus-1-devel >= %{dbus_version}-%{dbus_release}, dbus-1-glib-devel >= %{dbus_version}-%{dbus_release}
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n hal-gnome
Summary:        GNOME based device manager for HAL
Requires:       %{name} >= %{version}, dbus-1-python >= %{dbus_version}-%{dbus_release}, python-gtk, python-gnome
Autoreqprov:    on
Group:          System/GUI/GNOME

%description
HAL is a hardware abstraction layer and aims to provide a live list of
devices present in the system at any point in time. HAL tries to
understand both physical devices (such as PCI and USB) and the device
classes (such as input, net, and block) physical devices have and it
allows merging of information from device info files specific to a
device.

HAL provides a network API through D-BUS for querying devices and
notifying when things change. Finally, HAL provides some monitoring (in
an unintrusive way) of devices. Presently, ethernet link detection and
volume mounts are monitored.

This, and more, is all described in the HAL specification.



Authors:
--------
    Danny Kukawka <danny.kukawka@web.de>
    Kay Sievers <kay.sievers@vrfy.org>
    Joe Shaw <joeshaw@novell.com>
    David Zeuthen <david@fubar.dk>


%description -n hal-devel
HAL is a hardware abstraction layer and aims to provide a live list of
devices present in the system at any point in time. HAL tries to
understand both physical devices (such as PCI, USB) and the device
classes (such as input, net and block) physical devices have, and it
allows merging of information from so called device info files specific
to a device.

HAL provides a network API through D-BUS for querying devices and
notifying when things change. Finally, HAL provides some monitoring (in
an unintrusive way) of devices, presently ethernet link detection and
volume mounts are monitored.

This, and more, is all described in the HAL specification



Authors:
--------
    Danny Kukawka <danny.kukawka@web.de>
    Kay Sievers <kay.sievers@vrfy.org>
    Joe Shaw <joeshaw@novell.com>
    David Zeuthen <david@fubar.dk>


%description -n hal-gnome
GNOME program for displaying the devices detected by HAL



Authors:
--------
    Danny Kukawka <danny.kukawka@web.de>
    Kay Sievers <kay.sievers@vrfy.org>
    Joe Shaw <joeshaw@novell.com>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n %{name}-%{version} -q
%patch0   -p1
%patch100 -p1
%patch1   -p1
%patch2   -p0
%patch3   -p1
%patch4   -p0
%patch101 
%patch102 -p1
%patch103 -p1
%patch104 
%patch105
%patch106 
%patch10  -p1
%patch107 -p1
%patch108 -p0
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch11 -p1
%patch115 -p1
%patch116 -p0
%patch117 -p0
%patch118 -p0
%patch119 -p0
%patch120 -p1
%patch200 -p0
#%patch300 -p1

%build
export CFLAGS="${RPM_OPT_FLAGS} -fstack-protector"
export CXXFLAGS="${RPM_OPT_FLAGS} -fstack-protector"
autoreconf -fi
./configure 						\
	--prefix=%{_prefix} 				\
	--sysconfdir=%{_sysconfdir} 			\
	--localstatedir=%{_localstatedir} 		\
	--libdir=%{_libdir} 				\
	--libexecdir=%{_libexecdir}/hal			\
	--mandir=%{_mandir} 				\
	--datadir=%{_datadir}				\
        --with-init-scripts=suse 			\
	--with-hwdata=/usr/share 			\
	--enable-hotplug-map				\
	--with-pid-file=/var/run/hal/haldaemon.pid 	\
	--with-dbus-sys=/etc/dbus-1/system.d 		\
	--with-hal-user=haldaemon 			\
	--with-hal-group=haldaemon 			\
	--with-doc-dir=%{_datadir}/doc/packages/hal	\
	--enable-pcmcia-support 			\
	--enable-sysfs-carrier 				\
	--enable-acpi-acpid				\
	--disable-acpi-proc				\
	--disable-gtk-doc				\
	--enable-docbook-docs 				\
	--enable-doxygen-docs
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/hal
mkdir -p $RPM_BUILD_ROOT/etc/dbus-1/system.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/device-manager
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/scripts
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/haldaemon
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/90-hal.rules
ln -sf %{_sysconfdir}/init.d/haldaemon $RPM_BUILD_ROOT/%{_sbindir}/rchal
#rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
install -d $RPM_BUILD_ROOT/%{_localstatedir}/run/hal
rm -f $RPM_BUILD_ROOT/etc/hotplug.d/default/20-hal.hotplug

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -r haldaemon 2> /dev/null || :
/usr/sbin/useradd -r -o -s /bin/false -c "User for haldaemon" -d /var/run/hal -g haldaemon haldaemon 2> /dev/null || :

%preun
%{stop_on_removal haldaemon}

%post
%{insserv_force_if_yast haldaemon}
%{run_ldconfig}

%postun
%{restart_on_update haldaemon}
%{insserv_cleanup}
%{run_ldconfig}

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/dbus-1/system.d
%dir %{_sysconfdir}/hal
%dir %{_sysconfdir}/init.d/haldaemon
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_datadir}/doc/packages/hal
%dir %{_datadir}/doc/packages/hal/conf
%dir %{_datadir}/doc/packages/hal/spec
%dir %{_datadir}/hal
%dir %{_datadir}/hal/fdi
%dir %{_libdir}/hal
%config %{_sysconfdir}/dbus-1/system.d/hal.conf
%{_sysconfdir}/hal/*
%{_sysconfdir}/udev/rules.d/90-hal.rules
%{_sysconfdir}//PolicyKit/privilege.d/*
%{_bindir}/lshal
%{_bindir}/hal-*-property
%{_bindir}/hal-device
%{_bindir}/hal-find-by-capability
%{_datadir}/hal/fdi/*
%{_libexecdir}/hal/*
%{_datadir}/locale/*/LC_MESSAGES/hal.mo
%{_datadir}/doc/packages/hal/conf/*
%{_datadir}/doc/packages/hal/spec/*
%{_libdir}/*hal*.so.*
%{_sbindir}/hal*
%{_sbindir}/rchal
%attr(-,haldaemon,haldaemon) %{_localstatedir}/run/hal

%files -n hal-devel
%defattr(-, root, root)
%dir %{_datadir}/gtk-doc/html/hal
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/hal/*

%files -n hal-gnome
%defattr(-, root, root)
%dir %{_datadir}/hal/device-manager
%{_datadir}/hal/device-manager/*
%{_bindir}/hal-device-manager

%changelog
* Mon May 14 2007 - dkukawka@suse.de
- updated patch:
  - hal-fix-mount_hfs_options_v2.diff: only allow mount with
  option uid= for hfs not for hfsplus
* Tue May 08 2007 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #232235: added gid= as valid mount option
  (hal-fix-mount_hfs_options.diff)
  - b.n.c #230737: allow flush as valid mount option for vfat
  (hal-fix-mount_options_vfat.diff)
  - b.n.c #258755: guess if the battery maybe discharging to fix
  broken batteries (hal-fix-acpi_on_battery_discharging.diff)
  - b.n.c #225135: backported patch from HAL git master to handle
  case where LUKS volumes get mounted before HAL mount them.
  (hal-backport-fix_for_225135_luks_mount_outside_HAL.diff)
* Wed Jan 17 2007 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #222561: removed multisession code from HAL
  (hal-revert-git-multisession.diff)
  - b.n.c #223517: fix logic for consider nice in CPU Freq addon
  (hal-fix-consider-nice-logic_223517.diff) from hmacht@suse.de
  - b.n.c #224517: fixed get/set script parts for LCD brightness
  with sonypi/spicctrl (hal-fix-lcd_brightness_sonypi.diff)
  - fixed support for IBM ACPI hotkey events. Capture them now
  and emit related HAL events. This should allow e.g. KPowersave
  to react on sleep/s2disk buttons on IBM machines.
  (hal-add-IBMHotkey_Support_v2_incl_TabletPC.diff)
- removed unused patch: hal-back_to_dbus_0.6.0.diff
* Mon Nov 27 2006 - thoenig@suse.de
- fixed bugs:
  - b.n.c #223622: do not sanitize password for luks (update and
  renamed patch hal-fix-luks_sanitize_password.diff to
  hal-fix-luks_do_not_sanitize_password.diff)
* Fri Nov 24 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #223622: fix sanitize password for luks
  (hal-fix-luks_sanitize_password.diff)
* Fri Nov 24 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #223376/#223429: fixed seqfault if for a xen device the
  devtype file in sysfs is missing and set a default product key.
  (hal-fix-segfault_in_xenCode.diff)
  - b.n.c #220768: allow uid as mount option for ntfs partitions
  (hal-allow_uid_for_ntfs.diff)
  - b.n.c #221337: readded hal-fix-storage-policy-fixed-drives.diff
  to hide fixed storage devices
* Wed Nov 22 2006 - dkukawka@suse.de
- fixed bug:
  - b.n.c #223186: require pmutils only on x86, x86_64 and ia64
* Fri Nov 17 2006 - hmacht@suse.de
- load CPUFreq modules in initscript. HAL is the one needing these
  modules (novell bug 220682)
* Mon Nov 13 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-merge-copy_property.diff: fix b.n.c #218784
* Sun Nov 12 2006 - dkukawka@suse.de
- added patch:
  - hal-fix_blockdev_g_assert.diff: remove the only one g_assert()
  which kill the daemon and added code to check also tdl for
  the device or go to the error case instead of kill the daemon
  (see b.n.c #217563)
- fixed bugs:
  - b.n.c #216805: added hald to runlevel 2
* Tue Nov 07 2006 - dkukawka@suse.de
- added pmtools to Requires (need dmidecode)
- added patches:
  - hal-add-alsa_hw-specific_devices.diff: to show hardware
  specific sound devices in HAL. (see b.n.c #208695)
* Mon Nov 06 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-dbus_error_is_set.diff: since dbus_error_is_set(NULL)
  crash the library, added fix and check if error == NULL
* Mon Nov 06 2006 - hmacht@suse.de
- added patch:
  hal-fix-cpufreq-add-capability.diff: With new D-Bus
  package, you must not call dbus_error_is_set(NULL)
* Fri Nov 03 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-wireless_detection_rt2500pci.diff: fix for b.n.c bug
  [#217419]
  - hal-fix-path_eject_binary.diff: fixed path to eject binary
  b.n.c bug #214820 (temporary fix)
- removed upstream gone patches:
  - hal-fix-cpufreq-dbus-restart.patch
* Mon Oct 30 2006 - dkukawka@suse.de
- fixed bugs:
  - b.n.c #210297: added --datadir to spec file
  - b.n.c #214461: detect Ipod Nano2 correct
  - unreported: HAL show storage devices again
- updated patches:
  - hal-performance_pci.ids_v5.diff: adapted patch to current code,
  fixed code in search func and speed up the search
  - hal-add-tabletPC_support.diff: adapted to current code
  - hal-panasonic-acpi-suse.diff: updates from seife@suse.de
- removed patches:
  - hal-performance-properties*: they don't work anymore because
  of code changes in HAL ... maybe adapt them later
  - hal-do-not-close-shared-connection-thoenig-01.patch: removed
  upstream gone patch
- renamed patches we need to port from hal-fix-* hal-toport-*
* Sun Oct 29 2006 - hmacht@suse.de
- patch hal-add-pm-utils-support.diff:
  do it so that upstream will accept it
- patch hal-fix-cpufreq-dbus-restart.patch:
  fix the addon so that it properly survives D-Bus restarts
- Requires: pm-utils
* Mon Oct 23 2006 - hmacht@suse.de
- patch hal-add-pm-utils-support.diff:
  call pm-utils first, then try powersave if not available
- Recommends: pm-utils
* Mon Oct 16 2006 - thoenig@suse.de
- add patch hal-do-not-close-shared-connection-thoenig-01.patch:
  Do not close shared connection to the D-Bus system bus.
* Mon Oct 16 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Sun Oct 15 2006 - aj@suse.de
- Add -lz for hald-addon-macbookpro-backlight.
* Mon Oct 02 2006 - hmacht@suse.de
- rename hal-fix-cpufreq-policy.diff to
  hal-fix-power-privileges.diff: always allow root to use the
  cpufreq and sleep methods
* Wed Sep 27 2006 - dkukawka@suse.de
- updated to current git HEAD (0.5.8_git20060927)
  - should fix b.n.c #207607
* Tue Sep 19 2006 - dkukawka@suse.de
- updated to current git HEAD (next v0.5.8.1/0.5.9)
  - should fix bug b.n.c #206458, #202090 and maybe #206352
* Fri Sep 08 2006 - dkukawka@suse.de
- updated to current HAL release (v0.5.8)
  - including fixed b.n.o #203608
- updated patches:
  - merged hal-add-wacom_tabletPC*.diff to a new patch:
  hal-add-tabletPC_support.diff
- removed upstream gone patches:
  - hal-add-cpufreq_addon.diff
- added patches:
  - hal-fix-cpufreq-policy.diff: allow always also root to use
  the cpu freq interface <hmacht@suse.de>
* Wed Sep 06 2006 - seife@suse.de
- add hal-panasonic-acpi-suse.diff to match our pcc_acpi driver
* Tue Aug 22 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060822)
- updated patches:
  - hal-add-cpufreq_addon.diff (include upstream changes)
  - hal-performance-pci_ids_v2.patch
  - hal-fix-util_compute_time_remaining_warning_highTime.diff
  - hal-add-standby-support.diff
- removed upstream gone patches:
  - hal-cleanup-includes.diff
  - hal-fix-apm-poll_battery_reduce_events.diff (with changes every
  30 sec instead of every 60)
  - hal-fix-scsi.type.diff
* Wed Aug 16 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060816)
- added patches:
  - hal-fix-util_compute_time_remaining_warning_highTime.diff:
  patch to reduce flooding syslog with warnings about high
  remaining battery time.
  - hal-add-cpufreq_addon.diff: added patch from Holger Macht
  <hmacht@suse.de> to handle cpufreq via HAL (fixed some compiler
  wanings in the patch for x86_64)
  - hal-fix-scsi.type: fixed SUSE bug #160899, #199448 and updated
  mapping of SCSI type information from sysfs to scsi.type key
- removed patches:
  - hal-change_to_hashtables.patch --> removed testpatch from pkg
* Wed Aug 16 2006 - thoenig@suse.de
- BuildRequires (hal): replace dbus-1-devel by dbus-1-glib-devel
- BuildRequires (hal-devel): add dbus-1-glib-devel
* Thu Aug 10 2006 - thoenig@suse.de
- fix typo in rc.hal:  s/ceckproc/checkproc
* Mon Aug 07 2006 - dkukawka@suse.de
- disables following patches for STABLE/SL10.2Alpha3, they cause a
  segmenatation fault in the STABLE tree:
  - hal-performance-properties2.diff
  - hal-performance-properties_fix_compiler_warnings.diff
* Mon Aug 07 2006 - dkukawka@suse.de
- disabled SLE10 specific patch for DBUS
* Sun Aug 06 2006 - dkukawka@suse.de
- updated to current HAL git HEAD (v0.5.8_git20060807)
  --> this should fix HAL crash if CD/DVD volume removed
- removed upstream gone patches:
  - hal-add-set_proc_title_to_addons.diff
  - hal-fix-compiler-warnings.diff
- added new patches:
  - hal-add-standby-support.diff: added support and methodes for
  standby (S1)
* Thu Aug 03 2006 - dkukawka@suse.de
- updated to upstream HAL git HEAD (v0.5.8_git20060803)
  --> take a look at the NEWS file and Changelog, way too many
  changes since last HAL version 0.5.6
  --> NOTE: hal requires now libvolume_id and PolicyKit
  --> updated rc script for service policykitd
- removed upstream gone patches:
  - hal-update-copyright_header.diff
  - hal-fix-mount_script_v4.diff
  - hal-change-scriptpath.diff
  - hal-fix-addon_acpi_dbus_error.diff
  - hal-fix-lshal_dbus_error.diff
  - hal-fix-mount_cleanup_mountpoints_v3.diff
  - hal-fix-mount_umount_only_by_hal_mounted_v2.diff
  - hal-fix-mount_options_noexec.diff
  - hal-fix-mount_script_fstab_check.diff
  - hal-fix-map_chassitype_to_formfactor_v2.diff
  - hal-fix-get_prober_serial.diff
  - hal-add-usb-music_players_to_fdi_v2.diff
  - hal-fix-apm_remaining_time.diff
  - hal-fix-nfs_stall_block_hald.diff
  - hal-fix-CD_DVD-capability.diff
  - hal-add-debug_to_syslog_probing_v2.diff
  - hal-fix-probe_smbios_parse_bug172204.diff
  - hal-fix_workaround_libhal-strage_get_volume_size.diff
  - hal-fix-memoryleak_libhal-storage_185032.diff
  - hal-fix-memoryleak_libhal-libhal-storage_187108.diff
- updated/ported patches to apply against git:
  - hal-add-wacom_tabletPC_setserial.diff
  - hal-performance-pci_ids_v2.patch (+fix for compiler warnings)
  - hal-performance-properties1.diff
  - hal-performance-properties2.diff
  - hal-fix-mount_options.diff
  - hal-fix-apm-poll_battery_reduce_events.diff
- new patches:
  - hal-performance-properties_fix_compiler_warnings.diff: fixed
  compiler warnings in hal-performance-properties*.diff
  - hal-fix-compiler-warnings.diff: fixed some compiler warnings
  (warn_unused_result and format issues)
  - hal-back_to_dbus_0.6.0.diff: only on SLE10 to aviod dbus update
* Mon Jul 17 2006 - dkukawka@suse.de
- fixed bugs:
  - bug #187012: fixed start() and stop() in rchal
- added patches:
  - hal-fix-memoryleak_libhal-libhal-storage_187108.diff: fixed
  bug #187108 to close an other memory leak in the libs related
  to usage of DBusError
  - hal-fix-mount_options_vfat.diff: fix bug #192993, add fmask and
  dmask to vfat mount options
* Sun Jun 18 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-memoryleak_libhal-storage_185032.diff: fixed bug
  [#185032] to close memory leaks in libhal-storage. Changed libhal
  *_free() functions to set pointer to NULL after freed the
  pointer.
* Mon Jun 12 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-umount-pcmcia_storage_devices.diff: fixed bug #181557
  fixed umount pcmcia storage devices if device is removed
  without user called umount
* Fri Jun 02 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-mount-umount_172870.diff: fixed bug #172870 to allow
  user umount floppy if in fstab
* Mon May 22 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-memoryleak_libhal-storage_backported_177427.diff: fix
  backported to close memory leak if use libhal-storage (see:
  bug #177427)
* Fri May 19 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_device_fstab_with_user_option_172870.diff: fix
  for bug #172870 to allow mount partitions which are in fstab
  with option user
  - hal-fix_workaround_libhal-strage_get_volume_size.diff: fix for
  bug #177078 to workaround devices which return wrong BLKSSZGET
  values. If now the value from (block_size * num_blocks) is
  bigger than the value from sysfs we use the sysfs value.
* Thu May 04 2006 - dkukawka@suse.de
- added patches:
  - hal-add-debug_to_syslog_probing_v2.diff: add debug to syslog
  for prober and addons for better debugging and maintenance
  - hal-fix-probe_smbios_parse_bug172204.diff: fix bug #172204
  replaced sizeof(char *) with strlen(char *)
- updated patches:
  - hal-add-wacom_tabletPC.diff: fixed compiler warning
* Wed May 03 2006 - dkukawka@suse.de
- removed and merged patches:
  - merged system.formfactor patches together to:
  hal-fix-map_chassitype_to_formfactor_v2.diff
- added patches:
  - hal-fix-int-size-for-alignment-error-01.patch: fix for #146237
  - hal-fix-mount_on_dev_wo_media_check_support.diff:
  fix for #164327
* Wed May 03 2006 - thoenig@suse.de
- fix detection for system.formfactor (b.n.c #169161)
* Wed May 03 2006 - olh@suse.de
- add hal-vio-bus.patch to allow CD/DVD install
  handle bustype vio as found in IBM iSeries and pSeries LPAR
  (167629 / 163971 - LTC21953 / 167137 - LTC23229)
* Tue Apr 25 2006 - dkukawka@suse.de
- activated patch:
  - hal-performance-properties2.diff: only for SLES/SLED 10
* Sat Apr 15 2006 - dkukawka@suse.de
- added patch:
  - hal-fix-CD_DVD-capability.diff: fixed detection of CD/DVD
  drive capabilities, added support for DVD+RW DL, fixed detect
  DVD-RW (see bug #167101)
  - hal-performance-properties2.diff: added patch from Ihno
  Krumreich for a better performance (~30%%) by use splay_tree
  from gcc (see bug #146977) --> patch is in the source but not
  in the package atm, need more testing.
  - hal-fix-apm-poll_battery_reduce_events.diff: fixed apm battery
  polling, now emit remainig time only ever minute instead
  with each change every two seconds. This should reduce load
  on the dbus-daemon with (k)powersave (see bug #157905)
* Wed Apr 05 2006 - dkukawka@suse.de
- moved addons and prober to %%_libexecdir/hal
- fixed patch:
  - hal-fix-storage-policy-fixed-drives.diff: added to Makefile.am
  see bug #155682
- added patches:
  - hal-fix-mount-sanitze-mountpoint.diff: fix from lnussel for
  bug #157626
* Mon Mar 27 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_159475.diff: see bug #159475
  - hal-fix-pcmcia_storage.diff: backported from CVS HEAD, fix
  RH bug #185557
- updated patches:
  - hal-fix-mount_script_v4.diff: fixed typo
* Wed Mar 22 2006 - kukuk@suse.de
- Remove not needed pciutils from BuildRequires
* Mon Mar 20 2006 - dkukawka@suse.de
- added patches:
  - hal-add-wacom_tabletPC_setserial.diff: added fdi and callout
  to set the serial port for (wacom) tablet devices on TabletPCs
- updated patches:
  - hal-fix-mount_cleanup_mountpoints_v3.diff: fixed whitespaces
  see bug #158579
* Mon Mar 13 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-nfs_stall_block_hald.diff: don't stat nfs mounts to
  avoid hang up on stale nfs mounts.
  - hal-performance-properties.diff: patch from Ihno Krumreich for
  better performance releated to get/read properties (+ ~30%%)
- updated patches:
  - hal-add-usb-music_players_to_fdi_v2.diff: added some more
  USB music player
* Wed Mar 08 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-storage-policy-fixed-drives.diff: patch from RedHat to
  fix g-v-m to ignore fixed disks (see bug #154381)
  - hal-add-usb-music_players_to_fdi.diff: added several new usb
  mp3 player to fdi-file for better support in Banshee backported
  from HAL CVS HEAD
  - hal-fix-apm_remaining_time.diff: remove remaining_time
  property if value is <=0 as like as on ACPI
* Thu Mar 02 2006 - seife@suse.de
- move acpid from "Required-Start" to "Should-Start" in rc.hal
  APM machines can live well without acpid.
* Tue Feb 28 2006 - dkukawka@suse.de
- updated/fixed patches:
  - hal-add-wacom_tabletPC.diff: fixed problems with detect
  Fujitsu Serial Tablet on FSC P1510 and ST502x)
* Mon Feb 27 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-get_prober_serial.diff: allow call serial prober only
  for ttyS* devices (see bugs #146152, #148862)
- updated/fixed patches:
  - hal-fix-cleanup_mountpoints_v2.diff: fixed #148647 for 64bit
  - hal-fix-umount_only_by_hal_mounted_v2.diff: related to
  changes for cleanup mount points
* Mon Feb 20 2006 - dkukawka@suse.de
- added patches:
  - hal-fix-mount_script_fstab_check.diff: from Ludwig Nussel to
  check fstab, fix bug #147302
  - hal-fix-udev-clean_buffer.diff: backported from HEAD to clean
  the buffer for udev (see bug #151756)
* Fri Feb 17 2006 - dkukawka@suse.de
- added patches:
  * hal-change_to_hashtables.patch: experimental and not correct
  patch for testing (see bug #146977). Patch is not included
  in the rpm, only in the source.
* Tue Feb 14 2006 - aj@suse.de
- Reduce BuildRequires.
* Mon Feb 13 2006 - dkukawka@suse.de
- added patches:
  * hal-performance-pci_ids.patch: patch from Ihno Krumreich for
  better performance with read pci ids.
  * hal-fix-mount_options_noexec.diff: removed noexec hardcoded
  option from script (see bug #150172)
* Sun Feb 12 2006 - dkukawka@suse.de
- added patches:
  * hal-fix-map_chassitype_to_formfactor.diff: fix set property
  system.formfactor from smbios, see bug #149976
* Fri Feb 10 2006 - dkukawka@suse.de
- added patches:
  * hal-fix-cleanup_mountpoints.diff: added call cleanup script
  before create new mount points to prevent not used and new
  created mountpoints (bug #148647)
  * hal-fix-umount_only_by_hal_mounted.diff: from cvs-head,
  allow only umount volumes, mounted via HAL (bug #147302)
- updated patches:
  * hal-add-wacom_tabletPC.diff: added new Tablet PCs to the list
  (Fujitsu Serial Tablet and Wacom device with FSC pnp-id from
  FSC Stylistic ST502x)
* Sat Feb 04 2006 - dkukawka@suse.de
- added patches:
  * hal-change-scriptpath.diff: to change the scipt dir to more
  FHS consistent dir/path $LIBDIR
  * hal-fix-addon_acpi_dbus_error.diff: to prevent dbus error
  messages if a error was returned, free the error befor reuse
  see bug #146498
  * hal-fix-lshal_dbus_error.diff: see addon-acpi fix and #145387
* Fri Feb 03 2006 - dkukawka@suse.de
- added patch to add pseudo devices to hal to debug/test bug
  [#146977] (from Kay Sievers)
- fixed bug #147978: updated to hal-fix-mount_script_v4.diff
* Thu Feb 02 2006 - dkukawka@suse.de
- fixed bugs:
  - #145147: hal-fix-SG_IO_bug145147.diff
  - #145146: changed version-release check from spec file to
  version check
  - #145851: hal-fix-mount_script_v3.diff (added 'flush' to vfat
  and 'data=' to ext3 allowed mount options)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dkukawka@suse.de
- fixed patch for the mount script
* Mon Jan 23 2006 - dkukawka@suse.de
- fixed bug #141228 with patch from Kay Sievers to add scsi.type,
  scsi.vendor and scsi.model (hal-add-scsi-type.diff)
* Thu Jan 19 2006 - meissner@suse.de
- use -fstack-protector.
* Mon Jan 16 2006 - dkukawka@suse.de
  * updated to new release 0.5.6, for changes see Changelog of the
  package (note: this is the same as the upcomming official
  release excluding the NEWS file)
  * removed upstream gone patches:
  - hal-fix-compiler_warn_unused_result.diff
  * removed no longer needed patch:
  - hal-dbus.conf_deny_ShutdownReboot.diff (but we need a way to
  respect settings of KDM/GDM under GNOME)
  * updated patches:
  - hal-update-copyright_header.diff (partly commited)
* Tue Jan 10 2006 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20060110), for changes see
  Changelog of the package
  * with this version fixed bugs:
  - #141228 added generic scsi devices to hal, by Kay Sievers
  * added patches:
  - hal-fix-compiler_warn_unused_result.diff
  * removed upstream gone patches:
  - hal-fix-mount_script_dryrun.diff
  - hal-fix_broken_TEAC_CD-R55S.diff
  - hal-fix-TYPE_RBC_fd.o_bug5158.diff
  - hal-lshal-add_error_message.diff
  - hal-lshal-remove_unneeded_code.diff
  - hal-fix-acpi_battery_capacity_state.diff
* Tue Dec 20 2005 - ro@suse.de
- remove unpackaged symlink from buildroot
* Wed Dec 14 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051214), for changes see
  Changelog of the package
  * added patch(es):
  - hal-dbus.conf_deny_ShutdownReboot.diff (deny access to HAL
  methodes Shutdown and Reboot)
  - hal-fix-mount_script_dryrun.diff (remove nonsense)
  * removed upstream gone patches:
  - hal-fix-fdi_make_dist.diff
* Mon Dec 12 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051212), for changes see
  Changelog of the package
  * added patche(s):
  - hal-fix-mount_script_v2.diff
  - hal-fix-fdi_make_dist.diff (fix make distcheck, directly
  included in the src)
* Fri Dec 09 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051209), for changes see
  Changelog of the package
  * added patch(es):
  - hal-lshal-add_error_message.diff
  - hal-lshal-remove_unneeded_code.diff
  - hal-update-copyright_header.diff
* Mon Dec 05 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051205), for changes see
  Changelog of the package
  * added patch(es):
  - hal-fix-acpi_battery_capacity_state.diff (fix missing battery
  property and fix hal spec)
  * removed upstream gone patches:
  - hal-fix_hal-device-manager.diff
  - hal-fix_mount_point_for_dvdrecorder.diff
  - hal-fix_tools_scripts.diff
  - hal-fix_tools_scripts_path.diff
  * changed permissions of the hal-udev rule to 644
* Tue Nov 29 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051129), for changes see
  Changelog of the package
  * added patches:
  - hal-fix-TYPE_RBC_fd.o_bug5158.diff (add TYPE_RBC from kernel
  2.6.14 as disk)
  - hal-fix_broken_TEAC_CD-R55S.diff
  * added udev rule for connect HAL via socket instead of fork HAL
  helper
* Wed Nov 23 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.6_CVS_20051121), for changes see
  Changelog of the package
  * updated patches:
  - hal-make-cdroms_USBFloppy-mountable_v2.diff (fix the matches
  and prevent mountpoint idedisk for cdrom's)
  * added patches:
  - hal-fix_hal-device-manager.diff (to install hal-device-manager
  only one time)
  - hal-fix_mount_point_for_dvdrecorder.diff (fix mount points for
  dvd recorder)
  - hal-fix_tools_scripts.diff (added checks for environment
  variables and fix some error messages)
  - hal-fix_tools_scripts_path.diff (move scripts to
  $datadir/hal/scripts to remove the from root-user PATH)
* Sun Nov 13 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051113), for changes see
  Changelog of the package
  * removed upstream gone patches:
  - hal-fix-addon_acpi_for_acpid.diff
* Fri Nov 04 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051104), for changes see
  Changelog of the package
  * removed upstream gone patches:
  - hal-add_version_option.diff
  - hal-eject-button-02.patch (from Kay Sievers)
  - hal-fix-logger_for_daemon.diff
  - hal-workaround_is_mounted.diff
  * updated patches:
  - hal-fix-addon_acpi_for_acpid.diff
  * fixed bug #132279: add policy keys to handle USB floppy drives
  (hal-make-cdroms_USBFloppy-mountable.diff)
  * removed selinux support, because we don't need this atm
* Tue Oct 25 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_20051025) and changed
  version format to VERSION_CVS_YYYYMMDD --> should prevent
  conflicts with other versions
  * added patches:
  - hal-workaround_is_mounted.diff (to fix problems with detect
  mount status from /proc/mounts with voluntary preemption)
  - hal-fix-logger_for_daemon.diff (added commandline option to
  log to syslog instead of stderr to enable logging if HAL runs
  as daemon)
  - hal-add_version_option.diff (added --version to hald)
  - hal-eject-button-02.patch (from Kay Sievers: add signal if
  CD/DVD-Drive eject button is pressed)
  * removed upstream gone patches:
  - hal-add-update_pnp_ids.diff
  - hal-fix-configure_libusb.diff
  - hal-fix-seqfault_if_addon_missing.diff
  - hal-fix-remove_blacklisted_HL-DT-STCD-RW.diff
  - hal-fix-is_laptop_and_APM.diff (fixed APM and set depending
  on ACPI/APM battery and/or ACPI LID system.formfactor to
  laptop, see bug #128072)
* Thu Oct 20 2005 - dkukawka@suse.de
  * added patches:
  - updated PNP ID list (hal-add-update_pnp_ids.diff)
  - removed PNP ID list changes in hal-add-wacom_tabletPC.diff
  - added info about libusb support for addon-usb-csr to display
  whether the addon is compiled (hal-fix-configure_libusb.diff)
  * added *.la files to devel package, because of warnings
* Wed Oct 19 2005 - dkukawka@suse.de
  * updated to new cvs version (0.5.5_CVS_19102005)
  * added patches:
  - fixed bug #128696: fixed segfault if a called addon is missing
  (hal-fix-seqfault_if_addon_missing.diff)
  - fixed bug #127965: removed deprecated blacklist entry
  (hal-fix-remove_blacklisted_HL-DT-STCD-RW.diff)
  - fixed reconnect to acpid-socket if acpid is not running on
  startup of hald-acpi-addon (hal-fix-addon_acpi_for_acpid.diff)
  * fixed bug #118712 in hal init script: removed cron from
  'Required-Start:'
  * removed upstream gone patches:
  - hal-acpi_reconnect.diff
  - hal-fix-storage.policy_for_musicplayers.diff
  - hal-fixes_backported_from_HEAD.diff
  - hal-fix-acpi_reconnect.diff
* Thu Oct 13 2005 - dkukawka@suse.de
- fix for bug #121913
  * added libusb and resmgr to needforbuild to build the missing
  hald-addon-usb-csr in the package
* Tue Oct 11 2005 - dkukawka@suse.de
- fixed bug #117964
  * changed check for failed read, now all events are forward to
  HAL daemon
  * changed time to wait for retry connect to acpid from 1 to 3
  seconds
* Sun Sep 18 2005 - kukuk@suse.de
- Remove unused libcap from nfb
* Mon Sep 12 2005 - dkukawka@suse.de
- addon-acpi.c: changed code to remove backward goto jump
- added acpid to Required-Start in the rc script to be sure that
  acpid is running and to prevent races (related to #116445)
* Mon Sep 12 2005 - thoenig@suse.de
- addon-acpi.c now reconnects to acpid if acpid gets restarted
  (closes #116445)
- addon-acpi.c now bails out if /proc/acpi is missing at all
* Tue Sep 06 2005 - dkukawka@suse.de
- fixed return values for rchal start to be LSB conform (#115385)
* Fri Sep 02 2005 - dkukawka@suse.de
- fixed bug #113966
  * added patch hal-fix-storage.policy_for_musicplayers.diff to
  remove storage policy breaking and useless keys from fdi file.
- added new archive with:
  * new translation files
  * fixed Makefile to add 15-storage-luks.fdi to the package with
  'make dist'
- backported some litte fixes from HEAD:
  *  Fix up a bug where the script for a method call returns
  garbage and we pass that to dbus_message_new_error which then
  fails.
  *  Fix is needed to get a correct ccwgroup.lcs.portnumber
  property, since the underlying portno sysfs attribute is
  decimal, not binary. Patch from Cornelia Huck
  <cohuck@de.ibm.com>.
  *  some documentation fixes
* Fri Sep 02 2005 - ro@suse.de
- Provide hotplugctl as well to really fix (#112953)
* Sun Aug 28 2005 - ro@suse.de
- Obsolete hotplugctl [#112953] (Again!)
* Fri Aug 26 2005 - dkukawka@suse.de
  * updated to current release 0.5.4, Released August 26, 2005
  for more information about changes, read News file
- removed upstream gone patches:
  - hal-fix-callouts-01_kay.diff
  - hal-fix-invalid_utf8_volume_label.diff
* Fri Aug 26 2005 - dkukawka@suse.de
- fixed bug #105914:
  * patch from Kay Sievers: With this patch HAL skips failing
  callouts in the execution list instead of waiting in the
  mainloop to be killed
* Thu Aug 25 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-input-joystick.diff
  * hal-fix-hybrid_CDs.diff
  * hal-add-advanced_medium_detect-spec.diff
  * hal-fix-usb_pda_palm_hotsync_t5m130VisorClieSJ22.diff
- removed patches:
  * hal-fix-ACPI_seqfault.diff
  * hal-add-advanced_medium_detect.diff
- fixed bug #105445:
  * added patch (hal-fix-invalid_utf8_volume_label.diff) to check
  and fix utf8 invalid volume label names
- updated translation files
* Mon Aug 22 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-usb_pda_palm_hotsync.diff
  * hal-fix-util.c_percentage.diff
  * hal-fix-configure_for_translations.diff
- added patches:
  * hal-fix-ACPI_seqfault.diff
  * hal-add-advanced_medium_detect.diff (patch from ervin@kde.org
  and fixed/reworked by dkukawka@suse.de)
* Sat Aug 20 2005 - dkukawka@suse.de
- added patch:
  - hal-fix-hybrid_CDs.diff (fix for bug #105643)
* Sat Aug 20 2005 - dkukawka@suse.de
  * updated to current cvs version (pre0.5.4)
- added patches:
  - hal-fix-usb_pda_palm_hotsync.diff (bug #104426)
  - hal-fix-util.c_percentage.diff
  - hal-fix-configure_for_translations.diff (fix to get all
  localisations in the rpm)
- fixed bug #105285 removed /etc/dev/* from spec file
* Sat Aug 13 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
  - changes:
  * sync volume_id with the udev version (by Kay Sievers)
* Thu Aug 11 2005 - dkukawka@suse.de
  * updated to new cvs version (pre0.5.4)
- removed upstream gone patches:
  * hal-fix-poll_bat.last.full.diff
  * hal-fix-normalise_last_full.diff
  * hal-fix-remove_battery.diff
  * hal-fix-normalise_with_unknown_values.diff
  * hal-fix-key_if_battery_isfull_v3.diff
  * hal-fix-udi_for_volumelabel.diff
- removed patches where an other solution upstream added:
  * hal-add-addon_acpi_options_v2.diff
  * hal-suse-only_use_acpid.diff
- added new patche (pushed upstream):
  * hal-add-wacom_tabletPC.diff for Tablet PC (Wacom based) support
- remove /etc/hotplug,d/* udev rule since /etc/hotplug,d/ is
  'dead'
- changed from /etc/init.d/hal to /etc/init.d/haldaemon to be
  LSB conform in the future since haldeamon is requested name for
  LSB init script at lanana.org
* Thu Aug 11 2005 - dkukakwa@suse.de
- added patches to fixed bug #103787:
  * hal-fix-poll_bat.last.full.diff
  * hal-fix-normalise_last_full.diff
  * hal-fix-remove_battery.diff
  * hal-fix-normalise_with_unknown_values.diff
- added other patches:
  * hal-fix-udi_for_volumelabel.diff
* Fri Aug 05 2005 - dkukawka@suse.de
- updated to current cvs version (pre0.5.4)
  - removed patches (gone upstream):
    - hal-add-ALSA_OSS_devices.diff
* Wed Aug 03 2005 - dkukawka@suse.de
  updated to cvs version (pre0.5.4)
- added new patch:
  - hal-add-addon_acpi_options_v2.diff (out of tree)
  - hal-suse-only_use_acpid.diff (now HAL use only acpid)
  - hal-fix-input-joystick.diff (fix wrong detection
  of joysticks as input.tablet instead of input.joystick)
- reworked hal-add-ALSA_OSS_devices.diff:
  - added ALSA global sequencer device
- removed patches (gone upstream):
  - hal-fix_prevent_wrong_UDI.diff
  - hal-DVD+R_DL.diff
  - hal-acpi_battery.diff
  - hal-fix-DVD+R_rewriteable.diff
  - hal-fix-FSF_address.diff
  - hal-fix-LibHalContext.diff
  - hal-fix-UDI_for_empty_CD-DVD.diff
  - hal-fix-cleanup_warnings.diff
  - hal-fix-doxygen_code_doc_NULL.diff
  - hal-fix_typo_for_translation.diff
  - hal-make-cdroms-mountable.diff
- removed broken patch:
  - hal-add_lsb_release_v1.diffi (bug #100097)
- removed befor backported patches:
  - hal-deviceManager-fix-autorefresh.diff
  - hal-fix-linux_types.diff
* Sat Jul 30 2005 - dkukawka@suse.de
- reworked hal-add-ALSA_OSS_devices.diff, set timer and sequencer
  as global devices without a physical ALSA/OSS device
- fixed bug #99168 for ppc
- added new patches:
  - hal-fix-FSF_address.diff
  - hal-fix_typo_for_translation.diff
  - hal-fix-UDI_for_empty_CD-DVD.diff
  - hal-fix_prevent_wrong_UDI.diff
- added patches from cvs and ML:
  - hal-deviceManager-fix-autorefresh.diff
  - hal-add_lsb_release_v1.diff (to provide LSB info, reworked)
- merged compiler warning pathes
* Wed Jul 27 2005 - dkukawka@suse.de
- changed OSS devices from alsa.* keys to oss.* keys and fixed
  sound_compute_udi() to generate udi's also for OSS devices
* Mon Jul 25 2005 - dkukawka@suse.de
- added patch from David Zeuthen to add alsa.device_file for alsa
  and oss devices and merged this with patch for 'ALSA OSS Device
  detection'
* Mon Jul 25 2005 - dkukawka@suse.de
- added patch to build on x86_64 (to fix "previous declaration of
  'int64_t'")
* Sat Jul 23 2005 - dkukawka@suse.de
- added ALSA OSS Device detection to hal (see bug #87152)
* Fri Jul 22 2005 - dkukawka@suse.de
- fixed libhal/libhal-storage to prevent seg-faults if call a
  function with param LibHalContext *ctx == 0/NULL
- fixed some compiler warnings
- fixed DVD+R and DVD+R DL rewritable detection/key to FALSE
- added patch to allow mount CD/DVD volumes through callout
  hald-block-subfs
* Sun Jul 17 2005 - dkukawka@suse.de
- added --retain-privileges to rc.hal to run hal full as root
- added fix for more information about ACPI batteries
- added fix to dectect DVD+R Dual Layer write support (patch is
  upstream in the next version)
* Wed Jul 13 2005 - thoenig@suse.de
- HAL 0.5.3
- new binary `hal-find-by-capability`
- Removed patches:
  * hal-device-manager-fix-empty-properties.diff (fixed upstream)
  * hal-makefile-fix-doc-path.diff (replaced by --with-doc-dir)
  * hal-addon_storage_execl.diff (fixed upstream)
  * hal-device.dif (fixed upstream)
  * hal-no_pgoff_t.diff (obsolete)
  * hal-utils_64bit.diff (obsolete)
- Upstream changes:
  * hal-find-by-capability and hal-find-by-property tools
  * Fix some of the bugs from johnp's port of h-d-m
  * Trigger rescan of ACPI objects when receiving events
  * Fix key for storage.cdrom.dvdram
  * Don't use sync as part of the normal mount option policy
  * Update fstab-sync man page
  * Fix a bug in hal_property_new_string
  * Fix --help output
  * Detect DVD+R DL media
  * Add empty Solaris backend and fix build for Solaris
  * Support various S390 devices
  * Prepare hald to work with newer udev versions
  * Unify various error handling functions
  * Add infrastructure + tools to populate the hal db
  * Fixup MMC storage cards drive type on MMC bus
  * Handle case where the battery life is degrading
  * Make libhal_ctx_init() fail if hald is not running
  * New translations: nb, es
* Fri Jul 01 2005 - snwint@suse.de
- implement libhal_agent_* api (to create & remove devices)
- added small tool using the above (hal-device)
* Wed May 18 2005 - schwab@suse.de
- Fix spelling in Short-Description in rc file.
* Fri May 13 2005 - dkukawka@suse.de
- update to new version 0.5.2
* Thu Apr 28 2005 - dkukawka@suse.de
- update to new version 0.5.1
* Thu Apr 21 2005 - dkukawka@suse.de
- changed Short-Description in rc file (bug #79284)
* Wed Apr 20 2005 - thoenig@suse.de
- HAL 0.5.0 (in combination with D-BUS 0.33 because of D-BUS ABI
  changes)
- spec file cleanup
- added patches:
  * hal-addon_storage_execl.diff (added NULL as last argument)
  * hal-utils_64bit.diff (cast to compile clean on 64bit)
- updated patches:
  * hal-no_pgoff_t.diff: added more  pgoff_t  defines
- removed patches:
  * hal-makefile-fix-pycompile.diff (obsolete)
  * hal-makefile-fix-libsysfs_fromsystem.diff
  * hal-hald-fix-errormessage_kernelmodule.diff
  * hal-hald-workaround_init_d-bus.diff
  * hal-gphoto.diff
  * hal-addon_ipod-fdipolicy.diff
  * hal-duplicated_devices.diff (already upstream)
  * hal-memory_leak_fix.diff (already upstream)
  * hal-make-cdroms-mountable.diff
  * hal-fix-floppy-sysfs-path.diff
  * hal-make-floppys-mountable.diff
  * hal-disable-sata-cdrom-polling.diff (obsolete)
  * hal-sata_support.diff
- updated list of authors in pdb
* Tue Apr 19 2005 - ro@suse.de
- help configure trying to find BLKGETSIZE64
* Wed Mar 23 2005 - thoenig@suse.de
- added SATA support (closes #74318)
- disable media polling for SATA CDROMs (closes #74318)
* Tue Mar 22 2005 - adrian@suse.de
- report floppy drives as mounted (done via subfs)
* Tue Mar 22 2005 - adrian@suse.de
- fix floppy support, sysfs path has been changed from "floppy0"
  to "floppy.0"
* Thu Mar 17 2005 - thoenig@suse.de
- fixed patch 'hal-make-cdroms-mountable.diff' (see #73029) to
  achieve the desired behavior.
* Wed Mar 16 2005 - adrian@suse.de
- add should_mount properties for disc medias and use their label
  (#73029)
* Tue Mar 15 2005 - thoenig@suse.de
- improved 'hal-duplicated_devices.diff' to detect duplicated
  devices at a earlier stage.
- added 'hal-memory_leak_fix.diff' to prevent memory leaks.  This
  patch is taken from hal 0.5 branch:
  http://cvs.freedesktop.org/hal/hal/hald/device_info.c?rev=1.26&view=log
* Mon Mar 14 2005 - ro@suse.de
- change dbus dependency (dbus, not rcdbus)
- fix init script name rchal -> hal
* Mon Mar 14 2005 - thoenig@suse.de
- added 'hal-duplicated_devices.diff' which prevents hald to add
  devices into its device store twice (closes #66641)
- renamed filenames of patches which previously contained captial
  letters
- changed init order for hal/dbus/resmgr
* Mon Mar 14 2005 - dkukawka@suse.de
- removed hal from boot and added to runlevel 3 and 5
- changed boot.hal to rchal
* Mon Mar 14 2005 - hvogel@suse.de
- remove hfplus part from the ipod fdi. submount knows about
  hfsplus now.
* Thu Mar 10 2005 - dkukawka@suse.de
- added ipod fdi file see bug #71986
* Wed Mar 09 2005 - danny@suse.de
- fixed bug #71880, added specs to doc section of hal.rpm
* Wed Mar 09 2005 - dkukawka@suse.de
- moved docfiles from /usr/share/doc/packages/hal-%%{VERSION}/ to
  /usr/share/doc/packages/hal/
- fixed bug #71728
* Thu Mar 03 2005 - dkukawka@suse.de
- fixed boot.hal [see bug# 65775]
* Mon Feb 28 2005 - adrian@suse.de
- start after resmgr daemon
* Tue Feb 22 2005 - dkukawka@suse.de
- added python-gtk and python-gnome to 'Requires:' for hal-gnome
* Fri Feb 18 2005 - meissner@suse.de
- Fix up libgphoto2 map handling. still not fully correct, since
  it does not handle class based cameras (0x6 usb class aka PTP).
- removed -fno-strict-aliasing, not necessary.
- devel packages do not need ldconfig (just .so links in it).
* Thu Feb 10 2005 - dkukawka@suse.de
- workaround in haldaemon, now hald wait max. 2.5 sec for D-BUS
* Fri Feb 04 2005 - ro@suse.de
- added dbus-1-glib to neededforbuild
* Thu Feb 03 2005 - ro@suse.de
- use common macros in pre/post scripts
* Fri Jan 28 2005 - dkukawka@suse.de
- removed --enable-verbose-mode from configure
* Fri Jan 28 2005 - dkukawka@suse.de
- removed load module capability from boot.hal since hal run as
  root process (module is only needed if hal run as haldaemon)
* Fri Jan 28 2005 - dkukawka@suse.de
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereq
- removed fstab-sync from configure
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- removed --drop-privileges from  startscript. HAL now run as root
  process
* Tue Jan 25 2005 - dkukawka@suse.de
- update to new stable version [0.4.7]
  changelog
  - Add support for PCMCIA cards if they are in sysfs (on 2.6.10-ish
  kernels)
  - Don't attempt to access page 0x80 on USB Storage Devices as the
  resulting INQUIRY crashes quite a few devices
  - Fix reporting of USB interface class
  - Make hald not crash if sysfs files are writable but not readable
  - Small h-d-m fix (Sjoerd Simons)
  - Fix a bug in libhal-storage where mount options were merged even
  though they were set to FALSE.
* Tue Jan 25 2005 - dkukawka@suse.de
- load kernelmodule 'capability' at start in boot.hal
- added fix for errormessage if 'capability' isn't available in
  the kernel
* Fri Jan 21 2005 - dkukawka@suse.de
- update to new stable version [0.4.6]
  changelog:
  - Fix strange crasher in libsysfs on certain ppc platforms
  - Update local libsysfs copy to 1.2.0
  - Add compile time option to use 2.6.10 link detection features
  rather than talking directly to the mii registers
  - Fix off by one in VFAT label probing (Kay Sievers)
  - Skip NTFS signed volume and label probing fixes (Kay Sievers)
  - Use mount option iocharset=utf8 for vfat volumes
- change Makefile to use local libsysfs
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new stable version [0.4.5] (for more info read Changelog
  of the src)
- changed position in /etc/rc.d/boot.d/, now hal start depending
  on boot.localnet and boot.dbus (this is a workaround to the
  /var/run - cleanup is moved from boot.localnet to boot.localfs)
* Thu Jan 13 2005 - dkukawka@suse.de
- changed startposition of hal during the boot process, hal starts
  now depending on boot.dbus and boot.localfs
* Tue Jan 11 2005 - dkukawka@suse.de
- fixed rc.hal
* Tue Jan 11 2005 - dkukawka@suse.de
- update to new stable version [0.4.4] (for more info read Changelog
  in the src)
* Mon Dec 20 2004 - dkukawka@suse.de
- fixed Bug #49410 in rc.hal and the spec-file
* Fri Dec 10 2004 - hare@suse.de
- Fixed hal-display-manager to not crash if no properties
  have been received.
* Thu Dec 02 2004 - dkukawka@suse.de
- update to new version [0.4.2] with this changes from David
  Zeuthen <david@fubar.dk>:
  - add blacklist for not polling certain IDE slave drives as that
  decreases performance
  - Support for Linux kernels 2.6.10-rc2 and onwards
  - Only lazy unmount devices if {storage.volume}.policy.should_mount is
  TRUE - e.g. don't lazy unmount devices we don't care about
  - Support for IDE Zip and Jaz drives (treated as floppy drives)
  - Various fdi-parsing enhancements
  - Don't add 'ro' to optical drives as it prevents DVD-RAM usage
  - Support 256 partitions instead of only 16
  - small h-d-m UI bugfix (Sjoerd Simons)
  - small h-d-m UI bugfix (Bryan Clark)
* Sun Nov 14 2004 - dkukawka@suse.de
- initial package
